#pragma once
#include <vector>
#include "GroupPropertyInternal.h"
#include "IntPropertyInternal.h"
#include "ChangeHook.h"

namespace NDTS
{
using namespace SCO;
namespace NDTS2100
{
	class HardwareInitialise
	{
	public:
		HardwareInitialise();
		virtual ~HardwareInitialise(void);
		void  prePropertiesInitialise();
		void  postPropertiesInitialise();

	private:
		const std::string HardwareInitialise::getExeDirectory();
		void testSetAdc(int addr, int data);
		bool  initialiseFirmware();
		void initialiseInternalValues();
		bool initialiseDataCollection();
	};
}}
